# Ogre::Any::holder< ValueType > Class Template Reference

`#include <OgreAny.h>`

Inheritance diagram for Ogre::Any::holder< ValueType >:
[legend]

List of all members.

## Public Member Functions

| holder (const ValueType &value)
virtual const std::type_info & | getType () const
virtual placeholder * | clone () const
virtual void | writeToStream (std::ostream &o)

## Public Attributes

ValueType | held

## Detailed Description

### template<typename ValueType>
class Ogre::Any::holder< ValueType >

Definition at line 139 of file OgreAny.h.

## Constructor & Destructor Documentation

template<typename ValueType>

Ogre::Any::holder< ValueType >::holder | ( | const ValueType & | value | ) |

Definition at line 143 of file OgreAny.h.

Referenced by Ogre::Any::holder< ValueType >::clone().

## Member Function Documentation

template<typename ValueType>

virtual const std::type_info& Ogre::Any::holder< ValueType >::getType | ( | void |  | ) | const`[virtual]`

Implements Ogre::Any::placeholder.

Definition at line 150 of file OgreAny.h.

template<typename ValueType>

virtual placeholder* Ogre::Any::holder< ValueType >::clone | ( |  | ) | const`[virtual]`

Implements Ogre::Any::placeholder.

Definition at line 155 of file OgreAny.h.

References Ogre::Any::holder< ValueType >::held, and Ogre::Any::holder< ValueType >::holder().

template<typename ValueType>

virtual void Ogre::Any::holder< ValueType >::writeToStream | ( | std::ostream & | o | ) | `[virtual]`

Implements Ogre::Any::placeholder.

Definition at line 160 of file OgreAny.h.

References Ogre::Any::holder< ValueType >::held.

## Member Data Documentation

template<typename ValueType>

ValueType Ogre::Any::holder< ValueType >::held

Definition at line 168 of file OgreAny.h.

Referenced by Ogre::Any::holder< ValueType >::clone(), and Ogre::Any::holder< ValueType >::writeToStream().

The documentation for this class was generated from the following file:

- OgreAny.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:15 2008